Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.searchengine
Class LiveSearchEngineClient

    java.lang.Object
      java.util.TimerTask
          lbg.searchengine.SearchEngineClient
              lbg.searchengine.LiveSearchEngineClient

All Implemented Interfaces:
  java.lang.Iterable, java.lang.Runnable

    public class LiveSearchEngineClient

extends SearchEngineClient

Author:
  Cyril Briquet

Field Summary

Fields inherited from class lbg.searchengine.SearchEngineClient
`DEFAULT_SEARCH_COUNT`

Constructor Summary
`LiveSearchEngineClient(SearchEngineHandle reference, ExternalPeerHandle owner_peer, int timeout)` Creates a new Search Engine client.

Method Summary
`void` | `startService()`
`java.lang.String` | `toString()` Returns a String representation of this client.

Methods inherited from class lbg.searchengine.SearchEngineClient
`add, add, iterator, main, refresh, remove, renewReferenceServer, run, search, search, search, searchAll, setOwnerPeer, size, toStringDetailed`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveSearchEngineClient

    public LiveSearchEngineClient(SearchEngineHandle reference,
                                  ExternalPeerHandle owner_peer,
                                  int timeout)
                           throws GridException

  Creates a new Search Engine client.

  Parameters:
    `reference` - search engine server
    `owner_peer` - manager Peer (can be null, then set afterwards, see `SearchEngineClient.setOwnerPeer(ExternalPeerHandle)`)
    `timeout` - time to wait before updating database (in seconds)
  Throws:
    `GridException` - if the parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `SearchEngineClient`
  Returns a String representation of this client.

  Overrides:
    `toString` in class `SearchEngineClient`

### startService

    public void startService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.